Subject: bug#71205: 29.3; Automatic indentation of c-ts-mode doesn't work well for me.

From: Yuan Fu <[email-masked]>
Date: Wed, 5 Mar 2025 07:04:11 -0800

> On Jun 6, 2024, at 8:53 AM, 川本 琢二 (Dr.Sc.KAWAMOTO,Takuji) <[email-masked]> wrote:
> 
> Thanks for your answer, Mr Yuan.
> This answer solved the original problem.
> 
> Instead, I think a new problem has been revealed.
> What we should expect is for the cursor to move to column 5, because that's gnu style.
> But it actually moves to column 3.
> 
> Thanks all.

Oops, sorry for missing the reply. The problem you’re seeing is also due to incomplete parse tree. Once you enter a statement or opening bracket, the indentation will be updated to column 5. Admittedly, we could add some heuristic indentation rule for it, but in practice, since the indentation corrects itself rather quickly, it hasn’t really been an issue and I never get to it.

Adding such heuristic isn’t simple and I have so much else to implement so I don’t think I’ll get to it anytime soon.

Yuan